RagTime5GraphInternal::IntListParser Struct Reference documentation

Public Member Functions | Public Attributes | List of all members
RagTime5GraphInternal::IntListParser Struct Referencefinal

Internal: the helper to read an integer list. More...

Inheritance diagram for RagTime5GraphInternal::IntListParser:

## Public Member Functions
| IntListParser (int fieldSz, std::string const &zoneName)
| constructor More...
| ~IntListParser () final
| destructor More...
bool | parseData (MWAWInputStreamPtr &input, long endPos, RagTime5Zone &, int, libmwaw::DebugStream &f) final
| try to parse a data More...
| IntListParser (IntListParser &orig)=delete
| copy constructor, not implemented More...
IntListParser & | operator= (IntListParser &orig)=delete
| copy operator, not implemented More...
Public Member Functions inherited from RagTime5StructManager::DataParser
| DataParser (std::string const &zoneName)
| constructor More...
virtual | ~DataParser ()
| destructor More...
virtual std::string | getZoneName () const
| return the debug name corresponding to a zone More...
virtual std::string | getZoneName (int n) const
| return the debug name corresponding to a field More...

## Public Attributes
int | m_fieldSize
| the field size More...
std::vector< int > | m_dataList
| the list of read int More...

## Additional Inherited Members
Protected Attributes inherited from RagTime5StructManager::DataParser
std::string | m_name
| the field name More...

## Detailed Description

Internal: the helper to read an integer list.

## Constructor & Destructor Documentation

## ◆ IntListParser() [1/2]

RagTime5GraphInternal::IntListParser::IntListParser | ( | int | fieldSz,
|  | std::string const & | zoneName
| ) |  |
| inline

constructor

## ◆ ~IntListParser()

RagTime5GraphInternal::IntListParser::~IntListParser | ( |  | ) |
| final

destructor

## ◆ IntListParser() [2/2]

RagTime5GraphInternal::IntListParser::IntListParser | ( | IntListParser & | orig | ) |
| delete

copy constructor, not implemented

## Member Function Documentation

## ◆ operator=()

IntListParser& RagTime5GraphInternal::IntListParser::operator= | ( | IntListParser & | orig | ) |
| delete

copy operator, not implemented

## ◆ parseData()

bool RagTime5GraphInternal::IntListParser::parseData | ( | MWAWInputStreamPtr & | input,
|  | long | endPos,
|  | RagTime5Zone & | ,
|  | int | ,
|  | libmwaw::DebugStream & | f
| ) |  |
| inlinefinalvirtual

try to parse a data

Reimplemented from RagTime5StructManager::DataParser.

## Member Data Documentation

## ◆ m_dataList

std::vector<int> RagTime5GraphInternal::IntListParser::m_dataList

the list of read int

Referenced by parseData().

## ◆ m_fieldSize

int RagTime5GraphInternal::IntListParser::m_fieldSize

the field size

Referenced by IntListParser(), and parseData().

The documentation for this struct was generated from the following file:

- RagTime5Graph.cxx